# Understanding copies and references

from copy import copy, deepcopy

m = [[17.5, 19.1, 18.6], [20.0, 19.0, 19.5]]  # measurements from 2 days
a = m
b = copy(m)  # same as m[:]
c = deepcopy(m)

# we can see the differences especially when we try to append additional data
# to our original dataset (m) -- to which list of a, b, and/or c is this new
# data also appended?
m.append([16.2, 19.1, 18.6])  # add a third day's measurements to original list

# if we find an error in our measurement and want to change our original
# dataset m, to which copies are these changes made to as well (a, b, and/or c)?
m[1][1] = 15.2
